import { DataSourceChange } from '../../../../utils/data-source/data-source.types';
import { EditType, RowData } from '../../table.types';
import { BaseEditingController } from './base-editing.controller';
export declare class NoopEditingController extends BaseEditingController {
    constructor(control: HTMLAnjEditingElement, table: HTMLAnjTableElement);
    getEditType(data: RowData): EditType;
    onDelete({ target }: CustomEvent): Promise<[RowData, number]>;
    save(): Promise<void>;
    validate(el: HTMLElement): Promise<boolean>;
    undo(change: DataSourceChange): Promise<void>;
}
